ランタイム: Mix::Dynamics::MANIFOLD_POINT Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Mix::Dynamics::MANIFOLD_POINT Struct Reference

マニフォールドポイント構造体 More...

`#include <Common.h>`

Collaboration diagram for Mix::Dynamics::MANIFOLD_POINT:
[legend]

## Public Attributes

Mix::Vector3 | localPositionA
| 自身 : 接触位置のローカル座標 More...
Mix::Vector3 | localPositionB
| 相手 : 接触位置のローカル座標 More...
Mix::Vector3 | worldPositionA
| 自身 : 接触位置のワールド座標 More...
Mix::Vector3 | worldPositionB
| 相手 : 接触位置のワールド座標 More...
Mix::Vector3 | worldNormalB
| 相手 : 接触位置のワールド法線 More...
Mix::Dynamics::MATERIAL | materialA
| 自身 : 接触位置のマテリアル More...
Mix::Dynamics::MATERIAL | materialB
| 相手 : 接触位置のマテリアル More...
Mix::Dynamics::MANIFOLD_MESH | meshA
| 自身 : メッシュ More...
Mix::Dynamics::MANIFOLD_MESH | meshB
| 相手 : メッシュ More...
Float32 | penetrationB
| めり込んでいる距離 More...
Float32 | impulse
| 撃力 More...
Float32 | combinedFriction
| 合成した摩擦係数 More...
Float32 | combinedRestitution
| 合成した反発係数 More...

## Detailed Description

マニフォールドポイント構造体

## Member Data Documentation

Mix::Vector3 Mix::Dynamics::MANIFOLD_POINT::localPositionA

自身 : 接触位置のローカル座標

Mix::Vector3 Mix::Dynamics::MANIFOLD_POINT::localPositionB

相手 : 接触位置のローカル座標

Mix::Vector3 Mix::Dynamics::MANIFOLD_POINT::worldPositionA

自身 : 接触位置のワールド座標

Mix::Vector3 Mix::Dynamics::MANIFOLD_POINT::worldPositionB

相手 : 接触位置のワールド座標

Mix::Vector3 Mix::Dynamics::MANIFOLD_POINT::worldNormalB

相手 : 接触位置のワールド法線

Mix::Dynamics::MATERIAL Mix::Dynamics::MANIFOLD_POINT::materialA

自身 : 接触位置のマテリアル

Mix::Dynamics::MATERIAL Mix::Dynamics::MANIFOLD_POINT::materialB

相手 : 接触位置のマテリアル

Mix::Dynamics::MANIFOLD_MESH Mix::Dynamics::MANIFOLD_POINT::meshA

自身 : メッシュ

Mix::Dynamics::MANIFOLD_MESH Mix::Dynamics::MANIFOLD_POINT::meshB

相手 : メッシュ

Float32 Mix::Dynamics::MANIFOLD_POINT::penetrationB

めり込んでいる距離

Float32 Mix::Dynamics::MANIFOLD_POINT::impulse

撃力

Float32 Mix::Dynamics::MANIFOLD_POINT::combinedFriction

合成した摩擦係数

Float32 Mix::Dynamics::MANIFOLD_POINT::combinedRestitution

合成した反発係数

The documentation for this struct was generated from the following file:

- Mix/Common.h